Boyaa Interactive International Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756080000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.boyaa.com.hk/attachment/2025082502145.pdf",
    "holding_balance": 3670.0,
    "holding_net_change": 290.0,
    "transaction_value_usd": 32910000.0,
    "average_entry_value_usd": 113482.76,
    "transaction_value_calculated": false
  },
  {
    "date": 1757980800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.boyaa.com.hk/attachment/2025091601488.pdf",
    "holding_balance": 3925.0,
    "holding_net_change": 245.0,
    "transaction_value_usd": 28160000.0,
    "average_entry_value_usd": 114938.78,
    "transaction_value_calculated": false
  },
  {
    "date": 1758153600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.boyaa.com.hk/attachment/2025091800320.pdf",
    "holding_balance": 4091.0,
    "holding_net_change": 166.0,
    "transaction_value_usd": 19235424.0,
    "average_entry_value_usd": 115876.05,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    4091.0
  ],
  [
    1779062400000,
    4091.0
  ],
  [
    1779148800000,
    4091.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    316765557.26
  ],
  [
    1779062400000,
    314779008.57
  ],
  [
    1779148800000,
    314025200.91
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.284,
    "date": "2026-05-15",
    "high": 0.284,
    "open": 0.284,
    "close": 0.284,
    "volume": 0
  },
  {
    "low": 0.266,
    "date": "2026-05-18",
    "high": 0.266,
    "open": 0.266,
    "close": 0.266,
    "volume": 0
  },
  {
    "low": 0.27,
    "date": "2026-05-19",
    "high": 0.27,
    "open": 0.27,
    "close": 0.27,
    "volume": 0
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 20.186,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -12.34,
  "six_month_return": -46.53,
  "three_month_return": -9.4
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/boyaa-interactive-international-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 159.5,
  "total_btc_percentage": 0.019,
  "share_price_change_state": "up"
}